<nz-card nzSize="small" nzTitle='{{ "Entity.Components.banManagement" | translate }}' style="margin-top: 12px"
  *ngIf="permissions.IsAdmin === true || permissions.IsModerator === true">
  <nz-spin [nzSpinning]="isLoading">
    <div *ngIf="isBanned === false && (permissions.IsAdmin === true || permissions.Entities.Ban === true)">
      <button nz-button nzShape="round" nzType="default" nzDanger style="width: 100%; margin-top: 3px"
        (click)="banFormVisible = true">
        {{ "Social.Community.Ban" | translate }}
      </button>
    </div>
    <button nz-button nzShape="round" nzType="default"
      *ngIf="isBanned === true && (permissions.IsAdmin === true || permissions.Entities.Unban === true)" nzDanger
      style="width: 100%" (click)="unban()">
      {{ "Social.Community.Unban" | translate }}
    </button>
  </nz-spin>
</nz-card>

<nz-modal nzTitle='{{ "Entity.Components.banForm" | translate }}' [nzFooter]="null" nzVisible *ngIf="banFormVisible" nzWidth="80%"
  (nzOnCancel)="banFormVisible = false">
  <ng-container *nzModalContent>
    <nz-spin [nzSpinning]="isLoading">
      <form nz-form [formGroup]="banForm" (submit)="ban()">
        <nz-form-item>
          <nz-form-label [nzSpan]="6" nzFor="email">{{ "Entity.Components.banUntil" | translate }}</nz-form-label>
          <nz-form-control [nzSpan]="14">
            <nz-date-picker style="width: 100%" formControlName="expireDateTime"
              nzPlaceHolder='{{ "Entity.Components.banUntil" | translate }}'></nz-date-picker>
          </nz-form-control>
        </nz-form-item>
        <nz-form-item>
          <nz-form-label [nzSpan]="6" nzFor="email">{{ "Entity.Components.Reason" | translate }}</nz-form-label>
          <nz-form-control [nzSpan]="14">
            <textarea rows="4" nz-input formControlName="reason"></textarea>
          </nz-form-control>
        </nz-form-item>
        <nz-form-control style="text-align: center;">
          <button nz-button nzType="primary" type="submit" nzShape="round">{{ "Entity.Components.Submit" | translate }}</button>
        </nz-form-control>
      </form>
    </nz-spin>
  </ng-container>
</nz-modal>
